#!/bin/ksh

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

DESTARG=null
DESTPORTARG=null

if [ $# -eq 0 ]
then
 DEBUGOPTS=
elif [ $1 == debug ]
then
 DEBUGOPTS='-traceString "com.ibm.*=all=enabled" '
 if [ $# -eq 2 ]
 then
  DESTARG=$2
 elif [ $# -eq 3 ]
 then
  DESTARG=$2
  DESTPORTARG=$3
 fi
else
 DEBUGOPTS=
 if [ $# -eq 1 ]
 then
  DESTARG=$1
 elif [ $# -eq 2 ]
 then
  DESTARG=$1
  DESTPORTARG=$2
 fi
fi

if [ "${DESTARG}" == "null" ]
then
 echo 'No remote host or port argument specified. This host and port 900 will be used.'
 echo 'This command may be issued as: adminclient <host address <port number>>'
 DEST=
 DESTPORT=
elif [ "${DESTPORTARG}" == "null" ]
then
 DEST='-host '$DESTARG
 DESTPORT=
 echo 'Remote AdminServer '$DESTARG' will be accessed on the default port 900.'
else
 DEST='-host '$DESTARG
 DESTPORT='-port '$DESTPORTARG
 echo 'Remote AdminServer '$DESTARG' will be accessed on port '$DESTPORTARG'.'
fi

# setup the classpath
WAS_CP=$WAS_HOME/lib/ibmwebas.jar
WAS_CP=$WAS_CP:$WAS_HOME/properties
WAS_CP=$WAS_CP:$WAS_HOME/lib/chart.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ejs.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ujc.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/repository.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/admin.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/servlet.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/servletconsole.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/tasks.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/console.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/vaprt.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/sslight.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/xml4j.jar
WAS_CP=$WAS_CP:$WAS_HOME/web/help
WAS_CP=$WAS_CP:$JAVA_HOME/lib/tools.jar
export CLASSPATH=$WAS_CP

LP=$LP:$WAS_HOME/bin
LP=$LP:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$LP

# Set the ulimit
LIMIT=`ulimit -n`
if [ "${LIMIT}" != "unlimited" ]
then
  if [ $LIMIT -lt 1024 ]
  then
    ulimit -n 1024
  fi
fi


$JAVA_HOME/bin/java -Xmx128m $CLIENTSAS -Dcom.ibm.CORBA.principalName=`hostname`/AdminClient -Dserver.root=$WAS_HOME com.ibm.ejs.sm.client.ui.EJSConsole $DEST $DESTPORT $DEBUGOPTS $QUALIFYNAMES
