#!/bin/ksh
# =======================================================================
#
#  MODULE_NAME: jetace.sh
#
#  ORIGINS: 27
#
#  5639-D57 (C) COPYRIGHT International Business Machines Corp. 1999,2000
#  All Rights Reserved * Licensed Materials - Property of IBM
#
#  This program may be used, executed, copied, modified and distributed
#  without royalty for the purpose of developing, using, marketing, or
#  distributing.
#
#  DESCRIPTION:
#      Shell script file used to invoke the jetace tool
#      for creating and editing ejb-jar files.
#
#  DEPENDENCIES:
#      This script requires the JAVA_HOME variable to be set.
#
# =======================================================================

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

JAVA_EXE=$JAVA_HOME/jre/bin/java


# ----------------------------------------------------------
# Add some prerequisite jars to the CLASSPATH
# --------------------------------------------------------

CP="$WAS_HOME/lib/jetace.jar"
CP="$CP:$WAS_HOME/lib/ivbjfaceall.jar"
CP="$CP:$WAS_HOME/lib/ejs.jar"
CP="$CP:$WAS_HOME/lib/ujc.jar"
CP="$CP:$WAS_HOME/lib/vaprt.jar"
CP="$CP:$WAS_HOME/lib/xml4j.jar"
CP="$CP:$WAS_HOME/lib/swingall.jar"
CP="$CP:$JAVA_HOME/jre/lib/rt.jar"

CLASSPATH="$CP:$CLASSPATH"
export CLASSPATH

# ----------------------------------------------------------
# Generate a working directory and add it to the CLASSPATH
# --------------------------------------------------------
TMPDIR_GEN_MAIN=com.ibm.ejb.jetjar.EJB10WorkDir

EJBTEMP=`$JAVA_EXE $TMPDIR_GEN_MAIN`

CLASSPATH="$EJBTEMP:$CLASSPATH"
export CLASSPATH


# ----------------------------------------------------------
# Invoke jetace, and pass in the specified working directory
# ----------------------------------------------------------
JETACE_MAIN=com.ibm.ejb.jetjar.JetAceMain

$JAVA_EXE -DJETACE_WORK_DIR="$EJBTEMP" -DJETACE_HOME="$USERPROFILE" -Dserver.root=$WAS_HOME \
	$JETACE_MAIN $1 $2 $3


# ----------------------------------------------------------
# END OF SCRIPT
# ----------------------------------------------------------
