#!/bin/ksh

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

if [ $# > 8 ]
then
  LP=$LP:$WAS_HOME/bin
  LP=$LP:$LD_LIBRARY_PATH
  export LIBPATH=$LP

  WAR_FILENAME="$1"
  WEBAPP_DEST="$2"
  ADMIN_NODE="$3"
  NODE="$4"
  SERVER="$5"
  SERVLET_ENGINE="$6"
  VHOST="$7"
  WEBAPP_PATH="$8"
  WEBAPP_NAME="$9"
  shift;

  if [ "$9" != "" ]; then
     BOOTSTRAP_HOST="$9"
     shift;
     BOOTSTRAP_PORT="$9"
  else
     BOOTSTRAP_HOST="$ADMIN_NODE"
     BOOTSTRAP_PORT="900"
  fi

  $JAVA_HOME/bin/java -classpath $WAS_HOME/lib/ant.jar:$WAS_HOME/lib/ibmant.jar:$WAS_HOME/lib/antxalan_1_1.jar:$WAS_HOME/lib/xerces.jar org.apache.tools.ant.Main -buildfile $WAS_HOME/properties/convertwar.xml -Dwar.filename=$WAR_FILENAME -Dwebapp.dest=$WEBAPP_DEST -Dadmin.node.name=$ADMIN_NODE -Dnode.name=$NODE -Dserver.name="$SERVER" -Dservlet.engine.name="$SERVLET_ENGINE" -Dwas.home=$WAS_HOME -Dvirtual.host.name=$VHOST -Droot.uri=$VHOST/$WEBAPP_PATH -Dwebapp.name=$WEBAPP_NAME -Dant.home=$WAS_HOME -Dbootstrap.host="$BOOTSTRAP_HOST" -Dbootstrap.port="$BOOTSTRAP_PORT" -Dwas.java.name=$JAVA_HOME/bin/java run.xmlconfig
else
  echo wartoxmlconfig syntax :
  echo wartoxmlconfig [war filename] [webapp destination] [admin node] [node] [server] [servlet engine] [virtual host] [webapp path] [webapp name] { [bootstrap host] [bootstrap port] }
fi

