#!/usr/bin/ksh

OS_NAME=`uname`

#The filter file will replace <WAS_HOME> with the actual path.
#I had to add <WAS_HOME2> since the delta program does not replace globally, just 1st occurrance.
# Allow user to backup files
while :
do
{
   echo "Would you like to backup configuration, logs, and userfiles "
   echo "before uninstalling? Enter y or n "
   read BKUP  
   if [[ "${BKUP}" = "" ]]
   then
       continue
   fi

   if [[ "$BKUP" != "y" && "$BKUP" != "n" ]]
          then
   {
      echo
      echo "Please enter y for Yes or n for No"
      echo
      continue
   }
   elif [[ "$BKUP" = "y" ]] ; then
      BKUP="true"
   else
      BKUP="false"
   fi

   break
}
done

if [[ "$BKUP" = "true" ]] ; then
{
  while :
  do
  {
    echo
    echo "Please enter the absolute path of the backup directory. "
    echo "Note: a directory called WebASBackup will be created there. "
    read BKUP_DIR
    if [[ ! -d $BKUP_DIR ]] ; then
    {
      echo "This is not a directory: $BKUP_DIR "
      continue
    }
    fi

    break
  }
  done
}
fi

# Backup files
if [[ "$BKUP" = "true" ]] ; then
{
   if [[ ! -d $BKUP_DIR/WebASBackup ]] ; then 
      mkdir $BKUP_DIR/WebASBackup
   fi

   if [[ ! -d $BKUP_DIR/WebASBackup/properties ]] ; then 
      mkdir $BKUP_DIR/WebASBackup/properties
   fi

   if [[ ! -d $BKUP_DIR/WebASBackup/logs ]] ; then 
      mkdir $BKUP_DIR/WebASBackup/logs
   fi

   if [[ ! -d $BKUP_DIR/WebASBackup/admin ]] ; then 
      mkdir $BKUP_DIR/WebASBackup/admin
   fi

   if [[ ! -d $BKUP_DIR/WebASBackup/servlets ]] ; then 
      mkdir $BKUP_DIR/WebASBackup/servlets
   fi

   chmod -R 755 $BKUP_DIR/WebASBackup
   cp -R <WAS_HOME>/properties/*  $BKUP_DIR/WebASBackup/properties
   cp -R <WAS_HOME>/logs/*  $BKUP_DIR/WebASBackup/logs
   cp -R <WAS_HOME>/hosts/default_host/admin/* $BKUP_DIR/WebASBackup/admin
   cp -R <WAS_HOME>/servlets/*  $BKUP_DIR/WebASBackup/servlets
}
fi

if [[ "$OS_NAME" = "AIX" ]]  ; then
   installp -ug IBMWebAS.base
elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]] ; then
   <WAS_HOME>/juninst <WAS_HOME2>/UnInst
elif  [[ "$OS_NAME" = "HP-UX" ]]  ; then
   <WAS_HOME>/juninst <WAS_HOME2>/UnInst
else
{
   echo "Unspported platform: $OS_NAME"
   echo "Exiting ..."
   exit 1
}
fi

#clean up packages on Solaris.
if [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]]  ; then
{
   for PKGDIR in /var/sadm/pkg/itj*
   do
   {
      if [ $PKGDIR = "/var/sadm/pkg/itj*" ] ; then
         break
      fi
      /usr/bin/grep -i <WAS_HOME> $PKGDIR/install/preremove > /dev/null
         if [ "$?" = "0" ] ; then
            rm -r $PKGDIR
         fi
   }
   done
}
fi

#End uninstall
