#!/bin/ksh

# Uninstall for WAS PTF-6

echo "Uninstalling WAS PTF-6"
echo "Please shut down the Application Server and any Webservers that might be running."
echo "If not the PTF may not be Uninstalled properly"

OS_NAME=`uname`

BACKUP_JAR="was35_ptf_6_backup.jar"
LOG_FILE="was35_ptf_6.log"
JAVA_BACKUP_JAR="jdk_ptf_6_backup.jar"
IHS_BACKUP_JAR="ihs_ptf_6_backup.jar"
IHS_LOG_FILE="ihs_ptf_6.log"
JAVA_LOG_FILE="jdk_ptf_6.log"
JAVA_PTF_DIR=`pwd`/java_ptf_6

export JAVA_HOME=`pwd`/java
if [[ "$OS_NAME" = "AIX" ]]  ; then
export PATH=$JAVA_HOME/jre/sh:$JAVA_HOME/sh:$PATH
elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]] ; then
export PATH=$JAVA_HOME/bin:$PATH
elif [[ "$OS_NAME" = "HP-UX" ]]  ; then
export PATH=$JAVA_HOME/bin:/usr/sbin:$PATH
elif [[ "$OS_NAME" = "Linux" ]]  ; then   
	export PATH=$JAVA_HOME/bin:$PATH
fi

#Uninstalling the WAS PTF
  while :
  do
  {
    echo "Please enter whether you want to uninstall WebSphere Application PTF 6 (y/n)"
    read WAS_UNINSTALL
    if [[ "${WAS_UNINSTALL}" = "" ]]
    then
       continue
    fi
      
    if [[ "$WAS_UNINSTALL" != "y" && "$WAS_UNINSTALL" != "n" ]]
       then
         {
            echo
            echo "Please enter y for Yes or n for No"
            echo 
            continue
         }
     fi

     break
   }
   done

if [[ "$WAS_UNINSTALL" = "y" ]] ; then
   echo "Uninstalling the WebSphere Application PTF 6"
   if [[ "$OS_NAME" = "AIX" ]] ; then
       slibclean
   fi
   java -jar `pwd`/$BACKUP_JAR -log `pwd`/logs/$LOG_FILE
   if [[ $? -ne 0 ]] ; then
      echo "An error has occurred uninstalling the WebSphere PTF upgrade."
      exit
   fi
fi

if [[ "$OS_NAME" = "Linux" ]] ; then
  while :
  do
  {
    echo "Please enter whether you want to uninstall JDK PTF (y/n)"
    read JDK_UNINSTALL
    if [[ "${JDK_UNINSTALL}" = "" ]]
    then
       continue
    fi
 
    if [[ "$JDK_UNINSTALL" != "y" && "$JDK_UNINSTALL" != "n" ]]
       then
         {
            echo
            echo "Please enter y for Yes or n for No"
            echo
            continue
         }
     fi
 
     break
   }
   done

   if [[ "$JDK_UNINSTALL" = "y" ]] ; then
    echo "Uninstalling the JDK PTF 6"
    mkdir $JAVA_PTF_DIR
    cp -Rfd $JAVA_HOME/* $JAVA_PTF_DIR/
    java -jar `pwd`/$JAVA_BACKUP_JAR -log `pwd`/logs/$JAVA_LOG_FILE
    if [[ $? -ne 0 ]] ; then
      echo "An error has occurred uninstalling the JDK PTF upgrade."
      exit
    fi
    sleep 5
    rm -rf $JAVA_HOME/*
    cp -Rfd $JAVA_PTF_DIR/* $JAVA_HOME/
    rm -rf $JAVA_PTF_DIR
  fi                        

 
  while :
  do
  {
    echo "WARNING: During Uninstall of IHS PTF-6. The back level IHS may not work properly with the current level of GSkit."
    echo "Please enter whether you want to uninstall IHS WebServer PTF (y/n)"
    read IHS_UNINSTALL
    if [[ "${IHS_UNINSTALL}" = "" ]]
    then
       continue
    fi
 
    if [[ "$IHS_UNINSTALL" != "y" && "$IHS_UNINSTALL" != "n" ]]
       then
         {
            echo
            echo "Please enter y for Yes or n for No"
            echo
            continue
         }
     fi
 
     break
   }
   done
 
   if [[ "$IHS_UNINSTALL" = "y" ]] ; then
    echo "Uninstalling the IHS PTF 6"
    java -jar `pwd`/$IHS_BACKUP_JAR -log `pwd`/logs/$IHS_LOG_FILE

    if [[ $? -ne 0 ]] ; then
      echo "An error has occurred uninstalling the IBM HTTP Server PTF upgrade."
      exit
    fi
  fi                                                                                             
fi


#Uninstalling the JDK PTF
if [[ "$OS_NAME" != "Linux" ]]  ; then
  while :
  do
  {
    echo "Please enter whether you want to uninstall JDK PTF (y/n)"
    read JDK_UNINSTALL
    if [[ "${JDK_UNINSTALL}" = "" ]]
    then
       continue
    fi
      
    if [[ "$JDK_UNINSTALL" != "y" && "$JDK_UNINSTALL" != "n" ]]
       then
         {
            echo
            echo "Please enter y for Yes or n for No"
            echo 
            continue
         }
     fi

     break
   }
   done

  if [[ "$JDK_UNINSTALL" = "y" ]] ; then
    echo "Uninstalling the JDK PTF 6"
    mkdir $JAVA_PTF_DIR
    cp -R $JAVA_HOME/* $JAVA_PTF_DIR/
    java -jar `pwd`/$JAVA_BACKUP_JAR -log `pwd`/logs/$JAVA_LOG_FILE
    if [[ $? -ne 0 ]] ; then
      echo "An error has occurred uninstalling the JDK PTF upgrade."
      exit
    fi
    if [[ "$OS_NAME" = "AIX" ]] ; then
       slibclean
    fi
    sleep 5
    rm -rf $JAVA_HOME
    mkdir $JAVA_HOME
    cp -R $JAVA_PTF_DIR/* $JAVA_HOME/
    rm -rf $JAVA_PTF_DIR
  fi

  #Uninstalling the IHS PTF
  while :
  do
  {
    echo "WARNING: During Uninstall of IHS PTF-6. The back level IHS may not work properly with the current level of GSkit."
    echo "Please enter whether you want to uninstall IHS WebServer PTF (y/n)"
    read IHS_UNINSTALL
    if [[ "${IHS_UNINSTALL}" = "" ]]
    then
       continue
    fi
      
    if [[ "$IHS_UNINSTALL" != "y" && "$IHS_UNINSTALL" != "n" ]]
       then
         {
            echo
            echo "Please enter y for Yes or n for No"
            echo 
            continue
         }
     fi

     break
   }
   done

  if [[ "$IHS_UNINSTALL" = "y" ]] ; then
    echo "Uninstalling the IHS PTF 6"
    if [[ "$OS_NAME" = "AIX" ]] ; then
       slibclean
    fi
    java -jar `pwd`/$IHS_BACKUP_JAR -log `pwd`/logs/$IHS_LOG_FILE
    if [[ $? -ne 0 ]] ; then
      echo "An error has occurred uninstalling the IBM HTTP Server PTF upgrade."
      exit
    fi
   
    if [[ "$OS_NAME" = "HP-UX" ]] ; then
        echo "Uninstalling GSkit."
        /usr/sbin/swremove -x autoselect_dependents=false -x enforce_dependencies=false gsk4bas
    fi  
  fi
fi

